apiVersion: v1
kind: List
items:
- kind: ServiceAccount
  apiVersion: v1
  metadata:
    name: gitlab-ci-import-image
- kind: Role
  apiVersion: rbac.authorization.k8s.io/v1
  metadata:
    name: gitlab-ci-import-image
  rules:
    - verbs:
        - create
      apiGroups:
        - image.openshift.io
      resources:
        - imagestreamimports
    - verbs:
        - get
      apiGroups:
        - image.openshift.io
      resources:
        - imagestreams
- kind: RoleBinding
  apiVersion: rbac.authorization.k8s.io/v1
  metadata:
    name: gitlab-ci-import-image
  subjects:
    - kind: ServiceAccount
      name: gitlab-ci-import-image
  roleRef:
    apiGroup: rbac.authorization.k8s.io
    kind: Role
    name: gitlab-ci-import-image
